import serial
import time

ser = serial.Serial('COM5', 115200) 
ser.timeout = 1 

# Boucle pour lire les données du port série
while True:
    if ser.in_waiting > 0:
        data = ser.read(1) 
        
        distance = int.from_bytes(data, byteorder='little')
        print(f'Distance reçue : {distance} cm')

ser.close()
